## kwallet-pam 5.5.5

=== CMakeLists.txt ===
project(pam_kwallet)
cmake_minimum_required(VERSION 2.8.8)

set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR 5)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" )

find_package(PAM REQUIRED)
find_package(LibGcrypt 1.5.0 REQUIRED)
include(GNUInstallDirs)

include_directories (
   ${PAM_INCLUDE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${LIBGCRYPT_INCLUDE_DIR}
)

add_definitions(-DKWALLET5)
set(library_name "pam_kwallet5")

if ("${KWALLET4}" STREQUAL "1")
    remove_definitions(-DKWALLET5)
    set(library_name "pam_kwallet")
endif()

set(pam_kwallet_SRCS
   pam_kwallet.c
)

if (APPLE)
LIST(APPEND pam_kwallet_SRCS
   pam_darwin.c
)
endif()

add_library (${library_name} SHARED ${pam_kwallet_SRCS})
set_target_properties (${library_name} PROPERTIES PREFIX "")
target_link_libraries (${library_name}
   ${PAM_LIBRARIES}
   ${LIBGCRYPT_LIBRARIES}
)

install(TARGETS ${library_name} DESTINATION ${CMAKE_INSTALL_LIBDIR}/security)

## kwallet-pam 5.4.2

=== debian/changelog ===
kwallet-pam (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:55:45 +0100

kwallet-pam (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:17:44 +0100

kwallet-pam (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:51:33 +0100

kwallet-pam (4:5.3.95-0ubuntu2) wily; urgency=medium

  * add conflicts on old pam-kwallet

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Aug 2015 15:44:49 +0100

kwallet-pam (4:5.3.95-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:15:33 +0200

kwallet-pam (0.0~git20150805-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * New git snapshot introducing KWallet5 support.
  * New packages pam-kwallet4 and pam-kwallet5.
  * Previous pam-kwallet package transitions to pam-kwallet4

  [ Clive Johnston ]
  * New snapshot

 -- Clive Johnston <clivejo@aol.com>  Wed, 05 Aug 2015 14:45:37 +0000

pam-kwallet (0.0~git20140429-0ubuntu2) vivid; urgency=medium

  * No-change rebuild for the libgcrypt20 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Mar 2015 06:17:18 -0600

pam-kwallet (0.0~git20140429-0ubuntu1) utopic; urgency=medium

  * New git snapshot resolving some possible crashers and adding more logging
    UBUNTU-ERROR: 30e961156f64c241b58a65ecbb009688e3aeb2ec
    LP: #1314118
    UBUNTU-ERROR: ae1ef304fcd7d26e215563c4c95fcb25a74a6559
    LP: #1314119
    UBUNTU-ERROR: 28ad0356a00142a5ec12fb842f15e18f3fae1a63
    LP: #1314120
  * Dropping upstream_Allocate-one-more-byte-for-slash.patch, applied in this
    snapshot

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 29 Apr 2014 11:32:18 +0200

pam-kwallet (0.0~git20140410-0ubuntu2) trusty; urgency=medium

  * Add upstream_Allocate-one-more-byte-for-slash.patch from upstream to
    prevent PAM crashes on login due to too tiny allocs.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 15 Apr 2014 11:31:14 +0200

pam-kwallet (0.0~git20140410-0ubuntu1) trusty; urgency=medium

  * New git snapshot refining everything to production quality LP: #1305307
  * Add dependency on socat

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 10:38:36 +0200

pam-kwallet (0.0~git20140407-0ubuntu1) trusty; urgency=medium

  * New git snapshot actually installing something...

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 07 Apr 2014 16:59:49 +0200

pam-kwallet (0.0~git20140218-0ubuntu1) trusty; urgency=low

  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 13:12:41 +0100

=== debian/control ===
Source: kwallet-pam
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libgcrypt11-dev,
               libpam0g-dev,
               pkg-kde-tools
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/kwallet-pam
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kwallet-pam.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kwallet-pam.git

Package: pam-kwallet
Depends: pam-kwallet4, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: pam-kwallet4
Architecture: any
Depends: socat, ${misc:Depends}, ${shlibs:Depends}
Conflicts: pam-kwallet (<< 4:5.3.95)
Breaks: pam-kwallet (<< 4:5.3.95)
Description: KWallet integration with PAM
 Integrated KWallet with PAM so you can log in to open a KWallet.

Package: pam-kwallet5
Architecture: any
Depends: socat, ${misc:Depends}, ${shlibs:Depends}
Description: KWallet integration with PAM
 Integrated KWallet with PAM so you can log in to open a KWallet.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

QT4_BUILD_DIR = build-qt4

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(QT4_BUILD_DIR)

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure --builddirectory=$(QT4_BUILD_DIR) -- -DKWALLET4=1

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=$(QT4_BUILD_DIR)

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=$(QT4_BUILD_DIR)

override_dh_install:
	dh_install --fail-missing

## kwallet-pam 5.5.5

=== debian/changelog ===
kwallet-pam (4:5.5.5-0ubuntu1.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Access to privileged files (LP: #1768649):
    - fix-CVE-2018-10380-1.patch
    - fix-CVE-2018-10380-2.patch
    - fix-CVE-2018-10380-3.patch
    - CVE-2018-10380

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 14 Jun 2018 11:51:19 -0500

kwallet-pam (4:5.5.5-0ubuntu1.2) xenial-security; urgency=medium

  * REGRESSION UPDATE: revert CVE-2018-10380 fixes in
    4:5.12.4-0ubuntu1.1, as it caused people to lose wallets
    (LP: #1769187)
    - drop fix-CVE-2018-10380-1.patch and fix-CVE-2018-10380-2.patch

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 04 May 2018 10:14:59 -0700

kwallet-pam (4:5.5.5-0ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Access to privileged files (LP: #1768649):
    - fix-CVE-2018-10380-1.patch
    - fix-CVE-2018-10380-2.patch
    - CVE-2018-10380

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 03 May 2018 16:32:17 -0500

kwallet-pam (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:43:33 -0700

kwallet-pam (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: no remaining changes. 
  * Fix control file merge. 
  * New upstream release Xenial
  * Fix the lib name in kwallet4 install file. 

  [ Clive Johnston ]
  * new upstream release

  [ Philip Muškovac ]
  * Drop fix_install_location.diff as it breaks the sddm integration 
  * libpam-kwallet[4] breaks/replaces pam-kwallet[4] << 4:5.5 

  [ Scarlett Clark ]
  * Merge unstable to archive to get the debian merge. 
  * Fix install file. 

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:23:49 +0100

kwallet-pam (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:32:54 +0100

kwallet-pam (5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:59 +0100

kwallet-pam (5.4.2-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Team upload.
  * Add pam-kwallet4 binary based on Kubuntu packages to provide legacy KDE 4
    support for now (Closes: #798825)

  [ Maximiliano Curia ]
  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:30 +0200

kwallet-pam (5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:48 +0200

kwallet-pam (5.5.0-1~) UNRELEASED; urgency=medium

  * New upstream release (5.5.0).
  * New patch: fix_install_location.diff

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 Dec 2015 14:10:52 +0100

kwallet-pam (5.4.0-1) unstable; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 17:51:09 +0200

=== debian/control ===
Source: kwallet-pam
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.8~),
               debhelper (>= 9),
               libgcrypt20-dev (>= 1.5.0~),
               libpam0g-dev,
               pkg-kde-tools
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/kwallet-pam
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kwallet-pam.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kwallet-pam.git

Package: libpam-kwallet4
Architecture: any
Depends: socat, ${misc:Depends}, ${shlibs:Depends}
Conflicts: pam-kwallet (<< 4:5.3.95), pam-kwallet4 (<< 4:5.5)
Breaks: pam-kwallet (<< 4:5.3.95), pam-kwallet4 (<< 4:5.5)
Description: KWallet (KDE 4) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

Package: libpam-kwallet5
Architecture: any
Depends: socat, ${misc:Depends}, ${shlibs:Depends}
Conflicts: pam-kwallet5 (<< 4:5.5)
Breaks: pam-kwallet5 (<< 4:5.5)
Description: KWallet (Kf5) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

QT4_BUILD_DIR = build-qt4

override_dh_auto_clean:
	$(overridden_command)
	rm -rf $(QT4_BUILD_DIR)

override_dh_auto_configure:
	$(overridden_command) -- \
		-DCMAKE_INSTALL_LIBDIR=/lib/$(DEB_HOST_MULTIARCH)
	dh_auto_configure --builddirectory=$(QT4_BUILD_DIR) -- \
		-DCMAKE_INSTALL_LIBDIR=/lib/$(DEB_HOST_MULTIARCH) \
		-DKWALLET4=1

override_dh_auto_build:
	$(overridden_command)
	dh_auto_build --builddirectory=$(QT4_BUILD_DIR)

override_dh_auto_install:
	$(overridden_command)
	dh_auto_install --builddirectory=$(QT4_BUILD_DIR)

override_dh_install:
	$(overridden_command)
	dh_install --sourcedir $(QT4_BUILD_DIR)

## kwallet-pam 5.7.5

=== debian/changelog ===
kwallet-pam (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:27:30 -0500

kwallet-pam (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:06:03 +0000

kwallet-pam (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:47:14 +0100

kwallet-pam (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Adding extra-cmake-modules as build dep
  * Adding qtbase5-dev as build dep
  * Adding new package pam-kwallet-init
    - Cherrypicked from KDE Neon commit by Harald Sitter
      9dec9543d508abeab80170bb084048e6901655ce 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:20:00 -0700

=== debian/control ===
Source: kwallet-pam
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.8~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libpam0g-dev,
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/kwallet-pam
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam

Package: libpam-kwallet4
Architecture: any
Depends: pam-kwallet-init (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: pam-kwallet (<< 4:5.3.95), pam-kwallet4 (<< 4:5.5)
Breaks: pam-kwallet (<< 4:5.3.95), pam-kwallet4 (<< 4:5.5)
Description: KWallet (KDE 4) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

Package: libpam-kwallet5
Architecture: any
Depends: pam-kwallet-init (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: pam-kwallet5 (<< 4:5.5)
Breaks: pam-kwallet5 (<< 4:5.5)
Description: KWallet (Kf5) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

Package: pam-kwallet-init
Architecture: any
Depends: socat, ${misc:Depends}, ${shlibs:Depends}
Description: KWallet integration with PAM - XDG login support
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides an initialization helper to unlock KWallet in the
 user session.

## kwallet-pam 5.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,24 @@
 project(pam_kwallet)
-cmake_minimum_required(VERSION 2.8.8)
+cmake_minimum_required(VERSION 2.8.12)
 
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.8.4")
 set(PROJECT_VERSION_MAJOR 5)
 
-set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" )
+find_package (ECM 1.2.0 REQUIRED NO_MODULE)
+set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" )
+
+include(KDEInstallDirs)
 
 find_package(PAM REQUIRED)
 find_package(LibGcrypt 1.5.0 REQUIRED)
-include(GNUInstallDirs)
+
+find_program(SOCAT_EXECUTABLE socat)
+
+if (SOCAT_EXECUTABLE)
+  message (STATUS "Found socat executable: ${SOCAT_EXECUTABLE}")
+else ()
+  message (WARNING "socat is required for pam_kwallet to work")
+endif ()
 
 include_directories (
    ${PAM_INCLUDE_DIR}
@@ -43,3 +53,9 @@
 )
 
 install(TARGETS ${library_name} DESTINATION ${CMAKE_INSTALL_LIBDIR}/security)
+
+configure_file(pam_kwallet_init.desktop.cmake ${CMAKE_BINARY_DIR}/pam_kwallet_init.desktop)
+
+install(PROGRAMS pam_kwallet_init DESTINATION ${LIBEXEC_INSTALL_DIR})
+
+install(FILES ${CMAKE_BINARY_DIR}/pam_kwallet_init.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

=== debian/changelog ===
kwallet-pam (5.8.4-1+deb9u2) stretch-security; urgency=high

  * Add patch Avoid-giving-an-stderr-to-kwallet.patch.
    The fixes for CVE-2018-10380 introduced a regression, the reorder of the
    close calls and creating a new socket caused that the socket is always
    assigned the file descriptor 2, aka stderr, causing kwalletd to break
    the socket when printing something. This patch reorders the calls to avoid
    having the socket in stderr.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 22:55:11 +0200

kwallet-pam (5.8.4-1+deb9u1) stretch-security; urgency=high

  * CVE-2018-10380 fix
    Add upstream patches Move-salt-creation-to-an-unprivileged-process.patch
    and Move-socket-creation-to-unprivileged-codepath.patch.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 May 2018 19:01:35 +0200

kwallet-pam (5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:36:40 +0100

kwallet-pam (5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:21:56 +0200

kwallet-pam (5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:58:26 +0200

kwallet-pam (5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:04:25 +0200

kwallet-pam (5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 14:58:50 +0200

kwallet-pam (5.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 16 Jul 2016 11:21:17 +0200

kwallet-pam (5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Jul 2016 15:49:03 +0200

kwallet-pam (5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:22:20 +0200

kwallet-pam (5.6.4-1) unstable; urgency=medium

  * Add missing build dependency

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 00:07:37 +0200

kwallet-pam (5.6.3-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Try using -DCMAKE_INSTALL_LIBDIR.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Update Vcs uris.
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * New upstream release (5.5.5).
  * Add upstream metadata (DEP-12)
  * Drop unreleased changelog entry
  * Add -common package

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8
  * Update changelog for 5.6.2-1~1.gbpf5c228 release

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 14:56:58 +0200

kwallet-pam (5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New patch: fix_install_location.diff
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:20 +0100

=== debian/control ===
Source: kwallet-pam
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.2.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libpam0g-dev,
               qtbase5-dev,
               pkg-kde-tools
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kwallet-pam
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kwallet-pam.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kwallet-pam.git

Package: libpam-kwallet-common
Architecture: all
Depends: ${misc:Depends}
Description: KWallet integration with PAM (common files)
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a the common files needed by the KDE 4 and Kf5 version
 of the PAM integration.

Package: libpam-kwallet4
Architecture: any
Depends: libpam-kwallet-common (= ${source:Version}),
         socat,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: pam-kwallet (<< 4:5.3.95)
Breaks: pam-kwallet (<< 4:5.3.95)
Description: KWallet (KDE 4) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

Package: libpam-kwallet5
Architecture: any
Depends: libpam-kwallet-common (= ${source:Version}),
         socat,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KWallet (Kf5) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

QT4_BUILD_DIR = build-qt4

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(QT4_BUILD_DIR)

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_INSTALL_LIBDIR="/lib/${DEB_HOST_MULTIARCH}" \
	    -DLIBEXEC_INSTALL_DIR="/usr/share/libpam-kwallet-common"
	dh_auto_configure --builddirectory=$(QT4_BUILD_DIR) -- \
	    -DKWALLET4=1 -DCMAKE_INSTALL_LIBDIR="/lib/${DEB_HOST_MULTIARCH}" \
	    -DLIBEXEC_INSTALL_DIR="/usr/share/libpam-kwallet-common"

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=$(QT4_BUILD_DIR)

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=$(QT4_BUILD_DIR)

override_dh_install:
	dh_install --fail-missing

## kwallet-pam 5.9.4

=== debian/changelog ===
kwallet-pam (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:59:44 +0000

kwallet-pam (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:53:37 +0000

kwallet-pam (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:06:44 +0000

kwallet-pam (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:21:41 +0000

kwallet-pam (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:56:06 +0000

kwallet-pam (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:23 +0000

kwallet-pam (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ José Manuel Santamaría Lema ]
  * Merge from debian, renaming pam-kwallet-init -> libpam-kwallet-common in
    the process
  * Fix typo in debian/control: there was some Conflicts+Breaks which should be
    actually Breaks+Replaces

  [ Rik Mills ]
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:55:30 +0000

## kwallet-pam 5.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(pam_kwallet)
 cmake_minimum_required(VERSION 2.8.12)
 
-set(PROJECT_VERSION "5.8.4")
+set(PROJECT_VERSION "5.9.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM 1.2.0 REQUIRED NO_MODULE)

=== debian/changelog ===
kwallet-pam (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:17:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,21 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.2.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libpam0g-dev,
-               qtbase5-dev,
-               pkg-kde-tools
+               pkg-kde-tools,
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kwallet-pam
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kwallet-pam.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kwallet-pam.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
 
 Package: libpam-kwallet-common
 Architecture: all
 Depends: ${misc:Depends}
+Conflicts: pam-kwallet-init
+Replaces: pam-kwallet-init
 Description: KWallet integration with PAM (common files)
  The KDE Wallet system provides a secure way to store passwords and other
  secret information, allowing the user to remember only a single KDE Wallet
@@ -32,8 +34,8 @@
          socat,
          ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: pam-kwallet (<< 4:5.3.95)
-Breaks: pam-kwallet (<< 4:5.3.95)
+Breaks: pam-kwallet (<< 4:5.3.95), pam-kwallet4 (<< 4:5.5)
+Replaces: pam-kwallet (<< 4:5.3.95), pam-kwallet4 (<< 4:5.5)
 Description: KWallet (KDE 4) integration with PAM
  The KDE Wallet system provides a secure way to store passwords and other
  secret information, allowing the user to remember only a single KDE Wallet
@@ -48,6 +50,8 @@
          socat,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: pam-kwallet5 (<< 4:5.5)
+Replaces: pam-kwallet5 (<< 4:5.5)
 Description: KWallet (Kf5) integration with PAM
  The KDE Wallet system provides a secure way to store passwords and other
  secret information, allowing the user to remember only a single KDE Wallet

## kwallet-pam 5.10.5

=== debian/changelog ===
kwallet-pam (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:40:38 +0100

kwallet-pam (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:38:39 +0100

kwallet-pam (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:17:12 +0100

kwallet-pam (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:13:40 +0100

kwallet-pam (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:10:22 +0100

kwallet-pam (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:50:41 +0100

kwallet-pam (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:33:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libpam0g-dev,
                pkg-kde-tools,

## kwallet-pam 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(pam_kwallet)
 cmake_minimum_required(VERSION 2.8.12)
 
-set(PROJECT_VERSION "5.9.5")
+set(PROJECT_VERSION "5.12.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM 1.2.0 REQUIRED NO_MODULE)
@@ -45,6 +45,19 @@
 )
 endif()
 
+# Handle different PAM header styles:
+#  - "Linux style" has pam_ext.h
+#  - "BSD style" has pam_appl.h
+#
+find_file(PAM_EXT_PATH security/pam_ext.h)
+find_file(PAM_APPL_PATH security/pam_appl.h)
+if (PAM_EXT_PATH)
+    add_definitions(-DHAVE_PAM_EXT)
+endif()
+if (PAM_APPL_PATH)
+    add_definitions(-DHAVE_PAM_APPL)
+endif()
+
 add_library (${library_name} SHARED ${pam_kwallet_SRCS})
 set_target_properties (${library_name} PROPERTIES PREFIX "")
 target_link_libraries (${library_name}

=== debian/changelog ===
kwallet-pam (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:53:27 +0100

kwallet-pam (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:19 +0000

kwallet-pam (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:54 +0000

kwallet-pam (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:57 +0000

kwallet-pam (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:24 +0000

kwallet-pam (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:39:06 +0000

kwallet-pam (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:15:15 -0600

kwallet-pam (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * Add Section:libs to libpam-kwallet4 & libpam-kwallet5 as prompted by
    lintian
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:34 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libpam0g-dev,
                pkg-kde-tools,
@@ -30,6 +30,7 @@
 
 Package: libpam-kwallet4
 Architecture: any
+Section: libs
 Depends: libpam-kwallet-common (= ${source:Version}),
          socat,
          ${misc:Depends},
@@ -46,6 +47,7 @@
 
 Package: libpam-kwallet5
 Architecture: any
+Section: libs
 Depends: libpam-kwallet-common (= ${source:Version}),
          socat,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,11 @@
 QT4_BUILD_DIR = build-qt4
 
 override_dh_auto_clean:
-	dh_auto_clean
+	$(overridden_command)
 	rm -rf $(QT4_BUILD_DIR)
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	$(overridden_command) -- \
 	    -DCMAKE_INSTALL_LIBDIR="/lib/${DEB_HOST_MULTIARCH}" \
 	    -DLIBEXEC_INSTALL_DIR="/usr/share/libpam-kwallet-common"
 	dh_auto_configure --builddirectory=$(QT4_BUILD_DIR) -- \
@@ -18,12 +18,13 @@
 	    -DLIBEXEC_INSTALL_DIR="/usr/share/libpam-kwallet-common"
 
 override_dh_auto_build:
-	dh_auto_build
+	$(overridden_command)
 	dh_auto_build --builddirectory=$(QT4_BUILD_DIR)
 
 override_dh_auto_install:
-	dh_auto_install
+	$(overridden_command)
 	dh_auto_install --builddirectory=$(QT4_BUILD_DIR)
 
 override_dh_install:
-	dh_install --fail-missing
+	$(overridden_command)
+	dh_install --sourcedir $(QT4_BUILD_DIR)

## kwallet-pam 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(pam_kwallet)
 cmake_minimum_required(VERSION 2.8.12)
 
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM 1.2.0 REQUIRED NO_MODULE)

=== debian/changelog ===
kwallet-pam (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:39:35 +0100

kwallet-pam (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)
  * debian/patches: Drop all patches for CVE-2018-10380. Included in
    this bugix release.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:34 +0100

kwallet-pam (4:5.12.4-0ubuntu1.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Access to privileged files (LP: #1768649):
    - fix-CVE-2018-10380-1.patch
    - fix-CVE-2018-10380-2.patch
    - fix-CVE-2018-10380-3.patch
    - CVE-2018-10380

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 14 Jun 2018 11:30:19 -0500

kwallet-pam (4:5.12.4-0ubuntu1.2) bionic-security; urgency=medium

  * REGRESSION UPDATE: revert CVE-2018-10380 fixes in
    4:5.12.4-0ubuntu1.1, as it caused people to lose wallets
    (LP: #1769187)
    - drop fix-CVE-2018-10380-1.patch and fix-CVE-2018-10380-2.patch

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 04 May 2018 09:59:02 -0700

kwallet-pam (4:5.12.4-0ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Access to privileged files (LP: #1768649):
    - fix-CVE-2018-10380-1.patch
    - fix-CVE-2018-10380-2.patch
    - CVE-2018-10380

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 03 May 2018 16:06:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kwallet-pam
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
@@ -9,7 +10,7 @@
                libgcrypt20-dev (>= 1.5.0~),
                libpam0g-dev,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kwallet-pam
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/kwallet-pam-([\d.]+).tar.xz

## kwallet-pam 5.13.5

=== debian/changelog ===
kwallet-pam (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:01 +0100

kwallet-pam (4:5.13.4-0ubuntu2) cosmic; urgency=medium

  * Sync changes from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks & Qt build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 14:46:49 +0100

kwallet-pam (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:41:20 +0100

kwallet-pam (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:04 +0100

kwallet-pam (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)
  * debian/patches: Drop all patches for CVE-2018-10380. Included
    in this bugix release

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:16 +0100

kwallet-pam (4:5.12.5-0ubuntu2) cosmic; urgency=medium

  * debian/patches: upstream_fix-CVE-2018-10380.diff
    - Add upstream patch to fix regression from original CVE-2018-10380
      patches. KDE Bug:393856 (LP: #1769187)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 06 May 2018 20:03:34 +0100

kwallet-pam (4:5.12.5-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 01 May 2018 15:17:57 +0000

=== debian/control ===
Source: kwallet-pam
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libpam0g-dev,
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/kwallet-pam
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam

Package: libpam-kwallet-common
Architecture: all
Depends: socat, ${misc:Depends}
Description: KWallet integration with PAM (common files)
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a the common files needed by the KDE 4 and Kf5 version
 of the PAM integration.

Package: libpam-kwallet4
Architecture: any
Depends: libpam-kwallet-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: pam-kwallet (<< 4:5.3.95)
Breaks: pam-kwallet (<< 4:5.3.95)
Description: KWallet (KDE 4) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

Package: libpam-kwallet5
Architecture: any
Depends: libpam-kwallet-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KWallet (Kf5) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

## kwallet-pam 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,13 @@
 project(pam_kwallet)
 cmake_minimum_required(VERSION 2.8.12)
 
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.14.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM 1.2.0 REQUIRED NO_MODULE)
 set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" )
 
+include(CheckFunctionExists)
 include(KDEInstallDirs)
 
 find_package(PAM REQUIRED)
@@ -58,6 +59,14 @@
     add_definitions(-DHAVE_PAM_APPL)
 endif()
 
+set(CMAKE_REQUIRED_INCLUDES "string.h")
+check_function_exists(explicit_bzero HAVE_EXPLICIT_BZERO)
+set(CMAKE_REQUIRED_INCLUDES)
+
+if (HAVE_EXPLICIT_BZERO)
+    add_definitions(-DHAVE_EXPLICIT_BZERO)
+endif()
+
 add_library (${library_name} SHARED ${pam_kwallet_SRCS})
 set_target_properties (${library_name} PROPERTIES PREFIX "")
 target_link_libraries (${library_name}

=== debian/changelog ===
kwallet-pam (5.14.5-1) unstable; urgency=medium

  [ Scarlett Gately Moore ]
  * Remove empty series file.

  [ Maximiliano Curia ]
  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:55 -0300

kwallet-pam (5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:41 -0300

kwallet-pam (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:05 +0200

kwallet-pam (5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Drop upstream patches
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:05 +0200

kwallet-pam (5.12.1-3) unstable; urgency=medium

  * New revision
  * Add upstream patch: Avoid-giving-an-stderr-to-kwallet.patch (Closes: 897687)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 12:23:03 +0200

kwallet-pam (5.12.1-2) unstable; urgency=medium

  * CVE-2018-10380 fix
    Add upstream patches Move-salt-creation-to-an-unprivileged-process.patch
    and Move-socket-creation-to-unprivileged-codepath.patch.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 May 2018 18:26:15 +0200

kwallet-pam (5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:52 +0100

kwallet-pam (5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:40 +0100

kwallet-pam (5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:47 +0100

kwallet-pam (5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:00 -0300

kwallet-pam (5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:28 +0200

kwallet-pam (5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Move socat dependency to the common package
  * Use overridden_command everywhere
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:27 +0200

kwallet-pam (5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.42.0~),
+               extra-cmake-modules (>= 1.2.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libpam0g-dev,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev,
 Standards-Version: 4.1.3
 Homepage: https://projects.kde.org/projects/kde/workspace/kwallet-pam
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
 
 Package: libpam-kwallet-common
 Architecture: all

## kwallet-pam 5.15.4

=== debian/changelog ===
kwallet-pam (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:09:46 +0100

kwallet-pam (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:09:12 +0000

kwallet-pam (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:13:55 +0000

kwallet-pam (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:33:43 +0000

kwallet-pam (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:53:21 +0000

kwallet-pam (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:24:33 +0000

kwallet-pam (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:48:18 +0000

kwallet-pam (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:15:22 +0000

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 1.2.0~),
+               extra-cmake-modules (>= 5.54.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libpam0g-dev,
                pkg-kde-tools,
-               qtbase5-dev,
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 4.1.3
 Homepage: https://projects.kde.org/projects/kde/workspace/kwallet-pam
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
 
 Package: libpam-kwallet-common
 Architecture: all
